> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nrai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Project Member



## OpenAPI

````yaml GET /v1/project-members
openapi: 3.0.3
info:
  title: NRAI Documentation
  version: 0.0.0
servers:
  - url: https://cloud.nrai.io/api
    description: Production Server
security: []
externalDocs:
  url: https://nrai.io/docs
  description: Find more info here
paths:
  /v1/project-members:
    get:
      tags:
        - project-members
      parameters:
        - schema:
            type: string
          in: query
          name: projectId
          required: true
        - schema:
            type: string
          in: query
          name: projectRoleId
          required: false
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            type: number
          in: query
          name: limit
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        created:
                          type: string
                        updated:
                          type: string
                        platformId:
                          pattern: ^[0-9a-zA-Z]{21}$
                          type: string
                        userId:
                          pattern: ^[0-9a-zA-Z]{21}$
                          type: string
                        projectId:
                          type: string
                        projectRoleId:
                          pattern: ^[0-9a-zA-Z]{21}$
                          type: string
                        user:
                          type: object
                          properties:
                            id:
                              type: string
                            email:
                              type: string
                            firstName:
                              type: string
                            status:
                              anyOf:
                                - type: string
                                  enum:
                                    - ACTIVE
                                - type: string
                                  enum:
                                    - INACTIVE
                            externalId:
                              type: string
                              nullable: true
                            lastChangelogDismissed:
                              type: string
                              nullable: true
                            platformId:
                              type: string
                              nullable: true
                            platformRole:
                              anyOf:
                                - type: string
                                  enum:
                                    - ADMIN
                                - type: string
                                  enum:
                                    - MEMBER
                                - type: string
                                  enum:
                                    - OPERATOR
                            lastName:
                              type: string
                            created:
                              type: string
                            updated:
                              type: string
                          required:
                            - id
                            - email
                            - firstName
                            - status
                            - platformRole
                            - lastName
                            - created
                            - updated
                        projectRole:
                          type: object
                          properties:
                            id:
                              type: string
                            created:
                              type: string
                            updated:
                              type: string
                            name:
                              type: string
                            permissions:
                              type: array
                              items:
                                type: string
                            platformId:
                              type: string
                            type:
                              type: string
                            userCount:
                              type: number
                          required:
                            - id
                            - created
                            - updated
                            - name
                            - permissions
                            - type
                        project:
                          type: object
                          properties:
                            id:
                              type: string
                            displayName:
                              type: string
                          required:
                            - id
                            - displayName
                      required:
                        - id
                        - created
                        - updated
                        - platformId
                        - userId
                        - projectId
                        - projectRoleId
                        - user
                        - projectRole
                        - project
                  next:
                    description: Cursor to the next page
                    type: string
                    nullable: true
                  previous:
                    description: Cursor to the previous page
                    type: string
                    nullable: true
                required:
                  - data
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````